#include<bits/stdc++.h>
using namespace std;

int main(){
	long long N,x,y,res=0;	
	string input,rec;
	cin >> input >> rec;
	if(rec == "a"){
	for (int i = 0; i < input.size();i++){
	if(input[i] == 'a')res++;

	}
	cout << res << "\n";
	return 0;
	}		

	cout << res << "\n";
	return 0;
}